Name:          ehcache-core
Version:       2.6.0
Release:       3%{?dist}
Summary:       Easy Hibernate Cache
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://ehcache.org/
# svn export http://svn.terracotta.org/svn/ehcache/tags/ehcache-core-2.6.0
# find ehcache-core-2.6.0 -name '*.jar' -delete
# ehcache-core-2.6.0/tools/maven-ant-tasks-2.0.7.jar
# find ehcache-core-2.6.0 -name '*.class' -delete
# tar czf ehcache-core-2.6.0-clean-src-svn.tar.gz ehcache-core-2.6.0
Source0:       %{name}-%{version}-clean-src-svn.tar.gz

BuildRequires: ehcache-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: geronimo-jta
BuildRequires: hibernate3
BuildRequires: ehcache-sizeof-agent
BuildRequires: slf4j
BuildRequires: tomcat-servlet-3.0-api

# test
%if 0
BuildRequires: apache-commons-logging
BuildRequires: mvn(net.sf.hibernate:hibernate) >= 2.1.8
BuildRequires: mvn(org.hibernate:hibernate-ehcache)
BuildRequires: bsh
BuildRequires: btm
BuildRequires: derby
BuildRequires: dom4j
BuildRequires: hamcrest12
BuildRequires: javassist
BuildRequires: junit
BuildRequires: mockito
BuildRequires: xsom
%endif

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: rmic-maven-plugin
BuildRequires: xml-maven-plugin
BuildRequires: plexus-resources

Requires:      ehcache-sizeof-agent
Requires:      geronimo-jta
Requires:      hibernate3
Requires:      slf4j
Requires:      tomcat-servlet-3.0-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Ehcache is a pure Java, in-process cache.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_plugin org.codehaus.gmaven:gmaven-plugin
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin

# don't generate source archive
%pom_remove_plugin :maven-assembly-plugin

%pom_xpath_remove "pom:profile[pom:id='no-interruptible-io-solaris']/pom:activation/pom:property/pom:value"
%pom_xpath_inject "pom:profile[pom:id='no-interruptible-io-solaris']/pom:activation/pom:property" "
<value>Oracle Corporation</value>"

# Make sure we require version '3' of Hibernate
%pom_xpath_remove "pom:dependencies/pom:dependency[pom:groupId = 'org.hibernate']/pom:version"
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:groupId = 'org.hibernate']" "<version>3</version>"

# Don't use buildnumber-plugin, because jna is required (and currently broken)
%pom_xpath_remove "pom:profiles/pom:profile[pom:id = 'buildnumber-git']"

# circular deps
# org.hibernate hibernate-ehcache 3.3.2.GA
# unavailable deps
%pom_remove_dep net.sf.hibernate:hibernate
%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']"

# disable embedded ehcache-sizeof-agent.jar copy
%pom_remove_plugin :maven-dependency-plugin

%build

# tests skipped. cause: missing dependencies
mvn-rpmbuild -X -Dmaven.local.depmap.file="%{_mavendepmapfragdir}/tomcat-tomcat-servlet-api" -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc src/assemble/EHCACHE-CORE-LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc src/assemble/EHCACHE-CORE-LICENSE.txt

%changelog
* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> - 2.6.0-3
- disable embedded ehcache-sizeof-agent.jar copy
- switch to pom macros

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 gil cattaneo <puntogil@libero.it> - 2.6.0-1
- update to 2.6.0

* Sat Apr 21 2012 gil cattaneo <puntogil@libero.it> - 2.5.2-1
- update to 2.5.2

* Mon Mar 12 2012 Andy Grimm <agrimm@gmail.com> - 2.5.1-1
- Initial packaging